% Program to Replicate Oxford Handbook Analysis
% Created by Jude Hays January 29, 2007

clear all;
A=wk1read('C:\Documents and Settings\Administrator\Desktop\Oxford Handbook\states\7029003\ICPSR_01294\DS0001\oxford_cs_IV.wk1',1,0);
W1=wk1read('C:\Documents and Settings\Administrator\Desktop\Oxford Handbook\states\7029003\ICPSR_01294\DS0001\oxford_cs_w.wk1');
%M=open('C:\Documents and Settings\jchays\Desktop\Research\Book\chapters\Chapter 2\Chapter_2_Data\M_GC.mat');
%W_LR_1=wk1read('C:\Documents and Settings\jchays\Desktop\Research\Book\chapters\Chapter 2\Chapter_2_Data\W_GC_LR.wk1');
nobs=48;
n=48;
% normalize W if still necessary
%W_LR=normw(W_LR_1);
W=normw(W1); 
y=A(:,[3]); % column number in the data matrix that corresponds to the dependent variable
x=A(:,[4,5,6,7,8,9]); % column numbers in the data matrix that correspond to the independent variables 8,9,10,11,12,
xconstant=ones(nobs,1);
ysl = W*y;

info.rmin=0;
info.rmax=1;
prior.lflag=0; % 0 required for exact results
vnames=strvcat('y','constant','rskpovpc','wage95','instcoad','ipcfold','teitrend','match'); %
rmin=0; rmax=1;
ndraw=11000; nomit=1000;
prior.rmin = rmin; prior.rmax = rmax; prior.rval = 40;

%results1=sarp_g(y,[xconstant x],W,ndraw,nomit,prior); %results7=sar(y,[xconstant x],W,info);
%results1.tflag  = 'tstat';
%prt(results1,vnames);

%results2=sarp_g(y,[xconstant x],W,ndraw,nomit,prior); %results7=sar(y,[xconstant x],W,info);
%results2.tflag  = 'plevel';
%prt(results2,vnames);

results3 = semp_g(y,[xconstant x],W,ndraw,nomit,prior);
results3.tflag  = 'tstat';
prt(results3,vnames);

results4 = semp_g(y,[xconstant x],W,ndraw,nomit,prior);
results4.tflag  = 'plevel';
prt(results4,vnames);

vnames2=strvcat('y','constant','rskpovpc','wage95','instcoad','ipcfold','teitrend','match','rho'); %
%results5 = probit(y,[xconstant x ysl]);
%prt(results5,vnames2);

results6 = probit_g(y,[xconstant x ysl],ndraw,nomit,prior);
results6.tflag = 'tstat';
prt(results6,vnames2);

results7 = probit_g(y,[xconstant x ysl],ndraw,nomit,prior);
results7.tflag = 'plevel';
prt(results7,vnames2);
