% Program to Replicate Oxford Handbook Analysis
% Created by Jude Hays January 29, 2007

clear all;
A=wk1read('C:\Documents and Settings\Administrator\Desktop\Oxford Handbook\states\7029003\ICPSR_01294\DS0001\oxford_cs_II.wk1',1,0);
W1=wk1read('C:\Documents and Settings\Administrator\Desktop\Oxford Handbook\states\7029003\ICPSR_01294\DS0001\oxford_cs_w.wk1');
%M=open('C:\Documents and Settings\jchays\Desktop\Research\Book\chapters\Chapter 2\Chapter_2_Data\M_GC.mat');
%W_LR_1=wk1read('C:\Documents and Settings\jchays\Desktop\Research\Book\chapters\Chapter 2\Chapter_2_Data\W_GC_LR.wk1');
nobs=48;
n=48;
% normalize W if still necessary
%W_LR=normw(W_LR_1);
W=normw(W1); 
y=A(:,[3]); % column number in the data matrix that corresponds to the dependent variable
x=A(:,[4,5,6,7,8,9]); % column numbers in the data matrix that correspond to the independent variables 8,9,10,11,12,
xconstant=ones(nobs,1);
Wx = W*x;
Wy = W*y;
pie = [x Wx];
Wyhat = pie*inv(pie'*pie)*pie'*Wy;
Zhat = [xconstant x Wyhat];
dhat = inv(Zhat'*Zhat)*Zhat'*y;
Z = [xconstant x Wy];
eps = y - Z*dhat;
s2 = eps'*eps/(n-1);
V_dhat = s2*inv(Zhat'*Zhat);
ses = (diag(V_dhat)).^.5;
tstat = dhat./ses;
siv_ests = [dhat ses tstat];

ym1 = y - mean(y);
rsqr11 = eps'*eps;
rsqr21= ym1'*ym1;
rsqr111 = 1-rsqr11/rsqr21;
rsqr11 = rsqr11/(n-8);
rsqr21 = rsqr21/(n-1)
rsqrbar1 = 1 - rsqr11/rsqr21;

i = 1;
Q = 0;
          while (i <= n);
              S = (pie(i,:)'*pie(i,:)*(eps(i,1))^2)+Q;
              Q = S;
              i = i +1;
           end;
           
gmm = inv(Z'*pie*inv(S)*pie'*Z)*(Z'*pie*inv(S)*pie'*y);
V_gmm = inv(Z'*pie*inv(S)*pie'*Z);
ses_gmm = (diag(V_gmm)).^.5;         
tstat_gmm = gmm./ses_gmm;
sgmm_ests = [gmm ses_gmm tstat_gmm];
eps2 = y - Z*gmm;

ym = y - mean(y);       % r-squared, rbar-squared
rsqr1 = eps2'*eps2;
rsqr2 = ym'*ym;
rsqr = 1.0-rsqr1/rsqr2;   % r-squared
rsqr1 = rsqr1/(n-8);
rsqr2 = rsqr2/(n-1);
rsqrbar = 1 - rsqr1/rsqr2;

result = ols(y,[xconstant x Wy]); %ols
prt(result);